# VecWAXPY

Computes w = alpha x + y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecWAXPY(Vec w,PetscScalar alpha,Vec x,Vec y)

Collective on Vec

### Input Parameters

| alpha | - the scalar
| x, y | - the vectors

### Output Parameter

w -the result

### See Also

VecAXPY(), VecAYPX(), VecAXPBY()

Level:intermediate
Location: src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1e.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html
src/snes/examples/tutorials/ex33f.F.html